@media (max-width: 1200px) {
  .catalog__items--content {
    grid-template-columns: repeat(3, 1fr);
    column-gap: 24px;
    row-gap: 54px;
    grid-template-rows: auto;
  }

  .catalog__item {
    grid-column: auto !important;
    grid-row: auto !important;
    grid-column-start: auto !important;
  }

  .catalog__item--sizes__item-sizes {
    gap: 4px;
  }

  .catalog__item--bootom-info p,
  .catalog__item--sizes__item-tall,
  .catalog__item--sizes__item-sizes span,
  .catalog__item--sizes__item--title p {
    font-size: 12px;
    line-height: 12px;
  }

  .catalog__item--price p,
  .catalog__item--bootom-info span {
    font-size: 10px;
  }

  .catalog__item:hover .catalog__item--info {
    transform: inherit;
  }
}

@media (max-width: 1024px) {
  .reset-filters,
  .custom-multi-select__dropdown-submit,
  .catalog__items--sorting,
  .catalog__title,
  .catalog__items--sorting p,
  .catalog__sidebar {
    display: none;
  }

  .catalog__items--sorting {
    justify-content: space-between;
    padding: 6.5px 22px 6.5px 0;
  }

  .catalog__items--sorting,
  .sort__items {
    gap: 16px;
  }

  .catalog__items--sort-by-count {
    margin-left: 22px;
  }

  .catalog {
    margin-top: 60px;
  }

  .catalog__items {
    width: 100%;
    gap: 16px;
  }

  .catalog__items--sorting p,
  .catalog__items--sorting span {
    font-size: 12px;
  }

  .mobile-filter-controls,
  .mobile-filter__btn {
    display: flex;
  }

  .catalog__items--content {
    padding-bottom: 40px;
    margin-top: 36px;
  }

  .sort__item::after {
    width: 22px;
    height: 16px;
  }

  .mobile-sort__items {
    padding-right: 16px;
  }

  .catalog__items--header {
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: white;
    z-index: 30000;
    top: 0;
    left: 0;
    gap: 0;
    display: none;
  }

  .catalog__items--filters {
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    flex-wrap: nowrap;
    height: 80%;
    overflow-y: auto;
  }

  .custom-multi-select {
    width: 100%;
  }

  .custom-multi-select__dropdown {
    position: static;
    width: 100%;
  }

  .custom-multi-select__dropdown-content {
    max-height: 100%;
  }

  .only-on-stock {
    order: -1;
    width: 100%;
    flex-direction: row-reverse;
  }

  #catalog-pagination {
    margin-top: 0;
    margin-bottom: 80px;
  }
}

@media (max-width: 768px) {
  .catalog__items--content {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 16px;
    row-gap: 54px;
  }

  .catalog__item--bootom-info p,
  .catalog__item--sizes__item-tall,
  .catalog__item--sizes__item-sizes span,
  .catalog__item--sizes__item--title p {
    font-size: 10px;
  }

  .pagination .page {
    font-size: 12px;
    width: 20px;
    height: 20px;
    min-width: 20px;
    min-height: 20px;
  }

  .pagination .to-last-page {
    padding: 8px 20px;
    font-size: 12px;
  }
}
